<%inherit file="/base.mako"/>\

<%def name="scripts()">
</%def>

<h1>Generate KML Routes</h1>

<form method="post" action="location/route" enctype="multipart/form-data">
  <fieldset>
    <legend>Producer/Consumer Upload</legend>
    
    <label for="producers">Producers File</label>
    <input type="file" id="producers" name="producers" />

    <label for="consumers">Consumers File</label>
    <input type="file" id="consumers" name="consumers" />
    
    <input class="submit" type="submit" value="Route" />
  </fieldset>
</form>


<h2>File Format</h2>
<p>
  Both uploaded files should have the same format. They should be
  comma-delimited, with the first row containing three column names:
  <em>name</em>, <em>latitude</em>, and <em>longitude</em>. The
  <em>name</em> column, being of type string, should have its values
  double-quoted.
</p>

<p>
  The <em>latitude</em> and <em>longitude</em> fields are technically
  optional&mdash;in their absence, the name of the producer/consumer
  will be used as the source or destination location.
</p>

<table class="csv" summary="Example CSV file">
  <caption>producers-example.csv</caption>
  <tr>
    <th>name</th>
    <th>latitude</th>
    <th>longitude</th>
  </tr>

  <tr>
    <td><q>Jack O'Neill</q></td>
    <td>35.02135823</td>
    <td>-76.20178512</td>
  </tr>

  <tr>
    <td><q>Daniel Jackson</q></td>
    <td>38.286422</td>
    <td>-79.327437</td>
  </tr>

  <tr>
    <td><q>Samantha Carter</q></td>
    <td>35.9974632</td>
    <td>-80.000000</td>
  </tr>

  <tr>
    <td><q>Teal'c</q></td>
    <td>45.20434632</td>
    <td>-72.07234637</td>
  </tr>

  <tr>
    <td><q>George Hammond</q></td>
    <td>36.536257346</td>
    <td>-73.263458</td>
  </tr>
  
</table>


<h1>Generate KML Distances</h1>

<form method="post" action="location/distance" enctype="multipart/form-data">
  <fieldset>
    <legend>Producer/Consumer Upload</legend>
    
    <label for="producers">Producers File</label>
    <input type="file" id="producers" name="producers" />

    <label for="consumers">Consumers File</label>
    <input type="file" id="consumers" name="consumers" />
    
    <input class="submit" type="submit" value="Get Distances" />
  </fieldset>
</form>


<h2>File Format</h2>

<p>
  Same as above.
</p>
